#
# spec file for package kdevelop5-pg-qt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rname kdevelop-pg-qt
Name:           kdevelop5-pg-qt
Version:        2.1.0
Release:        lp150.1.5
Summary:        Supporting package for the additional plugins for Kdevelop5
License:        LGPL-2.0+ and GPL-2.0+
Group:          Development/Tools/IDE
Url:            http://www.kdevelop.org
Source0:        http://download.kde.org/stable/kdevelop-pg-qt/%{version}/src/%{rname}-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  extra-cmake-modules
BuildRequires:  flex
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
Conflicts:      kdevelop4-pg-qt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Supporting package for the additional plugins for Kdevelop5 Integrated Development Environment

%prep
%setup -q -n %{rname}-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/kdev-pg-qt
%{_kf5_prefix}/include/kdevelop-pg-qt/
%{_kf5_libdir}/cmake/KDevelop-PG-Qt

%changelog
* Fri Jul 28 2017 wbauer@tmo.at
- Update to 2.1.0
  * DebugVisitor: catch and show invalid token indizes
  * Update to Astyle 1.24 (latest 1.x release)
  * Add asserts to some TokenStreamBase methods, protect against
    out-of-bounds
  * Fix compile warnings with clang
  * Fix yymore_used_but_not_detected undefined issue (kde#374523)
- Drop fix-yymore-used-but-not-detected.patch, fixed upstream now
* Tue Jul 25 2017 lbeltrame@kde.org
- Add upstream patch fix-yymore-used-but-not-detected.patch:
  * Fixes build with newer flex
* Wed Aug 24 2016 cgiboudeaux@gmx.com
- Update to 2.0.0
* Thu Jan 28 2016 tittiatcoke@gmail.com
- Initial package for kdevelop5-pg-qt based on Qt5.
  * Kdevelop 5 Beta 3
